import request from '@/config/axios'

// 盘点 VO
export interface CheckLogVO {
}

// 盘点 API
export const CheckLogApi = {
  // 查询盘点分页
  getCheckLogPage: async (params: any) => {
    return await request.get({ url: `/logistics/check-log/page`, params })
  },
  
  // 查询盘点分页
  getColumns: async () => {
    return await request.post({ url: `/logistics/check-log/getColumns` })
  },


  // 查询盘点详情
  getCheckLog: async (id: number) => {
    return await request.get({ url: `/logistics/check-log/get?id=` + id })
  },

  // 新增盘点
  createCheckLog: async (data: CheckLogVO) => {
    return await request.post({ url: `/logistics/check-log/create`, data })
  },

  // 修改盘点
  updateCheckLog: async (data: CheckLogVO) => {
    return await request.put({ url: `/logistics/check-log/update`, data })
  },

  // 删除盘点
  deleteCheckLog: async (id: number) => {
    return await request.delete({ url: `/logistics/check-log/delete?id=` + id })
  },

  // 导出盘点 Excel
  exportCheckLog: async (params) => {
    return await request.download({ url: `/logistics/check-log/export-excel`, params })
  },
}
